// Module: Rmfgen
// Author: Hassan Siddiqui
//
// Description: Main class for generating RMF
// 
// Comments: 
//  
// Modifications: See ChangeLog
// 
// $Id: Rmfgen.h,v 1.19 2000/05/12 11:57:38 hsiddiqu Exp $

#ifndef RMFGEN_H
#define RMFGEN_H

/* General */

/* SAS-specific */
#include "Dal.h"

/* Local */


// ===========================================================================

// class Rmfgen

// ===========================================================================

class Rmfgen
{

public:

void exec();

private:

  void addAttributesTo(Table * table, 
		       const string& hduclas2);

    string _telescope;
    string _instrument;
//    string _datamode;
    string _filter;
    string _submode;

//    double _ra;
//    double _dec;
//    double _pa;

//    string _slctexpr;

  unsigned _detchans;

};

#endif
