// This  skeleton file was automatically created by 
//            pkgmaker 0.1
//            Thursday, December 11 1997
// 
// Module: rmfgen_mod
// Author: Hassan Siddiqui
//
// Description: RMF generation task for the XMM Science Analysis System
// 
// Comments: 
//  This prototype is restricted the central CCD of the MOS1 detector.
//  
// Modifications: See ChangeLog
// 
// $Id: rmfgen.cc,v 1.9 2000/02/23 15:13:12 hsiddiqu Exp $


// General classes
#include <iostream.h>

// SAS-specific classes
#include "errstr.h"
#include "Tracer.h"

// Local classes
#include "rmfgen.h"
#include "Rmfgen.h"

// ---------------------------------------------------

// Main function

// ---------------------------------------------------

void rmfgen()
{
  
  PROC;

  Rmfgen rmfgn;
  rmfgn.exec();
  errstr << " rmfgen complete. "
	 << Sas::message(Msg::App, Msg::Verbose);
  ENDPROC;

} 
